| Version: 3.3.1

Public Member Functions | List of all members
wxPropertyGridConstIterator Class Reference

`#include <wx/propgrid/propgridpagestate.h>`

Inheritance diagram for wxPropertyGridConstIterator:
[legend]

## Detailed Description

Const version of wxPropertyGridIterator.

## Public Member Functions
| wxPropertyGridConstIterator (const wxPropertyGridIterator &other)
| Additional copy constructor. More...
const wxPropertyGridConstIterator & | operator= (const wxPropertyGridIterator &it)
| Additional assignment operator. More...
| wxPropertyGridConstIterator ()
| wxPropertyGridConstIterator (const wxPropertyGridPageState *state, int flags=wxPG_ITERATE_DEFAULT, const wxPGProperty *property=nullptr, int dir=1)
| wxPropertyGridConstIterator (wxPropertyGridPageState *state, int flags, int startPos, int dir=0)
| wxPropertyGridConstIterator (const wxPropertyGridConstIterator &it)
| ~wxPropertyGridConstIterator ()
Public Member Functions inherited from wxPropertyGridIteratorBase
void | Assign (const wxPropertyGridIteratorBase &it)
bool | AtEnd () const
wxPGProperty * | GetProperty () const
| Get current property. More...
void | Init (wxPropertyGridPageState *state, int flags, wxPGProperty *property, int dir=1)
void | Init (wxPropertyGridPageState *state, int flags, int startPos=wxTOP, int dir=0)
void | Next (bool iterateChildren=true)
| Iterate to the next property. More...
void | Prev ()
| Iterate to the previous property. More...
void | SetBaseParent (wxPGProperty *baseParent)
| Set base parent, i.e. More...

## Additional Inherited Members
Protected Member Functions inherited from wxPropertyGridIteratorBase
| wxPropertyGridIteratorBase ()

## Constructor & Destructor Documentation

## ◆ wxPropertyGridConstIterator() [1/5]

wxPropertyGridConstIterator::wxPropertyGridConstIterator | ( | const wxPropertyGridIterator & | other | ) |

Additional copy constructor.

## ◆ wxPropertyGridConstIterator() [2/5]

wxPropertyGridConstIterator::wxPropertyGridConstIterator | ( |  | ) |

## ◆ wxPropertyGridConstIterator() [3/5]

wxPropertyGridConstIterator::wxPropertyGridConstIterator | ( | const wxPropertyGridPageState * | state,
|  | int | flags = `wxPG_ITERATE_DEFAULT`,
|  | const wxPGProperty * | property = `nullptr`,
|  | int | dir = `1`
| ) |  |

## ◆ wxPropertyGridConstIterator() [4/5]

wxPropertyGridConstIterator::wxPropertyGridConstIterator | ( | wxPropertyGridPageState * | state,
|  | int | flags,
|  | int | startPos,
|  | int | dir = `0`
| ) |  |

## ◆ wxPropertyGridConstIterator() [5/5]

wxPropertyGridConstIterator::wxPropertyGridConstIterator | ( | const wxPropertyGridConstIterator & | it | ) |

## ◆ ~wxPropertyGridConstIterator()

wxPropertyGridConstIterator::~wxPropertyGridConstIterator | ( |  | ) |

## Member Function Documentation

## ◆ operator=()

const wxPropertyGridConstIterator& wxPropertyGridConstIterator::operator= | ( | const wxPropertyGridIterator & | it | ) |

Additional assignment operator.